Main rating a company. Requires controlbasic or controlbasicplus.
curl --request GET \
--url https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"level": "red",
"remarks": {
"level": "red",
"indications": [
{
"key": "CCCC",
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"status": "IsOk"
},
{
"key": "DDDD",
"name": "Bar",
"description": "Lorem ipsum dolor sit amet",
"status": "HasIndication"
}
]
},
"fraud": {
"level": "red",
"indications": [
{
"key": "GGGG",
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"status": "IsOk"
},
{
"key": "HHHH",
"name": "Bar",
"description": "Lorem ipsum dolor sit amet",
"status": "HasIndication"
}
]
},
"finance": {
"level": "yellow",
"indications": [
{
"key": "EEEE",
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"status": "IsOk"
},
{
"key": "FFFF",
"name": "Bar",
"description": "Lorem ipsum dolor sit amet",
"status": "HasIndication"
}
]
},
"debtRating": {
"level": "green",
"indications": [
{
"key": "JJJJ",
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"status": "IsOk"
},
{
"key": "KKKK",
"name": "Bar",
"description": "Lorem ipsum dolor sit amet",
"status": "HasIndication"
}
]
},
"observations": {
"level": "green",
"indications": [
{
"key": "AAAA",
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"status": "IsOk"
},
{
"key": "BBBB",
"name": "Bar",
"description": "Lorem ipsum dolor sit amet",
"status": "HasIndication"
}
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
SE, NO The country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
SE, NO The company's organisation number (personal identity number for a sole proprietorship), without separators.
Query Parameters
When true, includes checks that passed in addition to any that failed or were flagged. When false (default), only failed/flagged checks are returned.
Language used for human-readable text in the response (e.g. check descriptions). Language used for human-readable text in a response: SV (Swedish), NO (Norwegian) or EN (English).
SV, NO, EN Response
OK
The company's overall risk rating and the underlying check results it was derived from.
The outcome of a single risk check category (e.g. fraud, sanctions) contributing to the overall rating.
Show child attributes
Show child attributes
The outcome of a single risk check category (e.g. fraud, sanctions) contributing to the overall rating.
Show child attributes
Show child attributes
The outcome of a single risk check category (e.g. fraud, sanctions) contributing to the overall rating.
Show child attributes
Show child attributes
The outcome of a single risk check category (e.g. fraud, sanctions) contributing to the overall rating.
Show child attributes
Show child attributes
The outcome of a single risk check category (e.g. fraud, sanctions) contributing to the overall rating.
Show child attributes
Show child attributes
The outcome of a single risk check category (e.g. fraud, sanctions) contributing to the overall rating.
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/2/{profileCountry}/control/companies/{country}/{orgNr}/main-rating")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"level": "red",
"remarks": {
"level": "red",
"indications": [
{
"key": "CCCC",
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"status": "IsOk"
},
{
"key": "DDDD",
"name": "Bar",
"description": "Lorem ipsum dolor sit amet",
"status": "HasIndication"
}
]
},
"fraud": {
"level": "red",
"indications": [
{
"key": "GGGG",
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"status": "IsOk"
},
{
"key": "HHHH",
"name": "Bar",
"description": "Lorem ipsum dolor sit amet",
"status": "HasIndication"
}
]
},
"finance": {
"level": "yellow",
"indications": [
{
"key": "EEEE",
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"status": "IsOk"
},
{
"key": "FFFF",
"name": "Bar",
"description": "Lorem ipsum dolor sit amet",
"status": "HasIndication"
}
]
},
"debtRating": {
"level": "green",
"indications": [
{
"key": "JJJJ",
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"status": "IsOk"
},
{
"key": "KKKK",
"name": "Bar",
"description": "Lorem ipsum dolor sit amet",
"status": "HasIndication"
}
]
},
"observations": {
"level": "green",
"indications": [
{
"key": "AAAA",
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"status": "IsOk"
},
{
"key": "BBBB",
"name": "Bar",
"description": "Lorem ipsum dolor sit amet",
"status": "HasIndication"
}
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}